# Interface IResourceProvider

All Known Implementing Classes:
  `BufferedResourceNode, HistoryItem, ResourceNode`

public interface IResourceProvider

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`IResource`
`getResource()`
Returns the corresponding resource for this object or `null`.

## Method Details

### getResource

IResource getResource()
Returns the corresponding resource for this object or `null`.

Returns:
  the corresponding resource or `null`